 SELECT
    id,
    (SELECT name FROM Brand b WHERE b.id = hw.brand_id) AS 'brand',
    name,
    edition,
    description_short,
    description,
    (SELECT GROUP_CONCAT(name, ', ') FROM (SELECT name FROM Label l JOIN HardwareLabel hwl ON l.id = hwl.label_id AND hwl.hardware_id = hw.id ORDER BY name)) AS 'labels',
    release_date,
    notes,
    CASE WHEN (hw.purchased_price < 0) THEN 0 ELSE hw.purchased_price END AS 'purchased_price',
    CASE WHEN (hw.sell_price < 0) THEN 0 ELSE hw.sell_price END AS 'sell_price',
    created_on AS 'added_on',
    (SELECT GROUP_CONCAT(full_name, ', ') FROM (SELECT name || ' ' || first_name 'full_name' FROM Friend f JOIN HardwareLoan hwl ON f.id = hwl.friend_id AND hwl.hardware_id = hw.id AND hwl.end_of_loan is NULL ORDER BY name)) AS 'loan',
    (SELECT GROUP_CONCAT(name, ', ') FROM (SELECT name FROM Platform p JOIN HardwarePlatform hwp ON p.id = hwp.platform_id AND hwp.hardware_id = hw.id ORDER BY name)) AS 'platforms',
    (SELECT GROUP_CONCAT(s, ', ') FROM (SELECT 'condition: ' || state || ' - serial: ' || ifnull(serial_number, '') || ' - notes: ' || ifnull(notes, '') 's' FROM HardwareItem hwi WHERE hwi.hardware_id = hw.id ORDER BY state)) AS 'physical_items'
    
 FROM Hardware hw

 %s

 ORDER BY brand, hw.name, hw.edition