 SELECT DISTINCT
    d.id,
    d.name,
    d.description_short,
    d.image_url_small,
    d.image_url_thumb,
    d.image_filename,
    (SELECT COUNT(o.id)
             FROM GameFranchise o
               INNER JOIN Game g
                    ON g.id = o.game_id
             WHERE o.franchise_id = d.id) as 'game_count',
    (SELECT COUNT(gd.id)
         FROM GameFranchise gd
               INNER JOIN Game g
                    ON g.id = gd.game_id
         WHERE gd.franchise_id = d.id AND g.is_wishlist_item = 1) as 'game_count_on_wishlist'

 FROM Franchise d

 WHERE %s

 ORDER BY
    d.name ASC