SELECT DISTINCT
       g.id,
       g.name,
       g.title_to_sort_on,
       g.image_url_small,
       g.image_url_thumb,
       g.image_filename,
       (SELECT p.id || ':::' || p.name FROM Platform p WHERE p.id = g.platform_id) as 'Platform',
       [[DEVELOPER_SELECT]] as 'developers',
       [[FRANCHISE_SELECT]] as 'franchises',
       [[GENRE_SELECT]] as 'genres',
       (SELECT GROUP_CONCAT(n, '###')
        FROM (
            SELECT l.id || ':::' || l.name || ' ' || ':::' || l.background_color || ':::' || l.foreground_color
             || ':::' || l.hide_on_view_grid || ':::' || l.hide_on_view_list || ':::' || l.hide_on_view_list_small || ':::' || l.hide_on_view_list_big
             || ':::' || l.list_marker_enabled_grid || ':::' || l.list_marker_enabled_list || ':::' || l.list_marker_enabled_list_small || ':::' || l.list_marker_enabled_list_big
             || ':::' || l.list_marker_width_grid || ':::' || l.list_marker_width_list || ':::' || l.list_marker_width_list_small || ':::' || l.list_marker_width_list_big
             || ':::' || l.list_marker_color_grid || ':::' || l.list_marker_color_list || ':::' || l.list_marker_color_list_small || ':::' || l.list_marker_color_list_big as 'n'
            FROM Label l
                INNER JOIN GameLabel gl
                    ON l.id = gl.label_id AND gl.game_id = g.id
            ORDER BY l.name
        )) as 'labels',
       [[PUBLISHER_SELECT]] as 'publishers',
       g.edition,
       g.user_rating,
       replace(substr(g.release_date,0,11), '-',''),
       g.mc_score,
       g.hltb_main_story,
       g.image_url_medium,
       g.created_on,
       g.videos_json,
       g.images_json,
       g.collector_has_digital
 FROM Game g
     %s
 WHERE %s
