SELECT DISTINCT
       g.id,
       g.name,
       g.title_to_sort_on,
       g.image_url_small,
       g.image_url_thumb,
       g.image_filename,
       (SELECT p.id || ':::' || p.name FROM Platform p WHERE p.id = g.platform_id) as 'Platform',
       [[DEVELOPER_SELECT]] as 'developers',
       [[FRANCHISE_SELECT]] as 'franchises',
       [[GENRE_SELECT]] as 'genres',
       (SELECT GROUP_CONCAT(n, '###')
        FROM (
            SELECT l.id || ':::' || l.name || ' ' || ':::' || l.background_color || ':::' || l.foreground_color
             || ':::' || l.hide_on_view_grid || ':::' || l.hide_on_view_list || ':::' || l.hide_on_view_list_small || ':::' || l.hide_on_view_list_big
             || ':::' || l.list_marker_enabled_grid || ':::' || l.list_marker_enabled_list || ':::' || l.list_marker_enabled_list_small || ':::' || l.list_marker_enabled_list_big
             || ':::' || l.list_marker_width_grid || ':::' || l.list_marker_width_list || ':::' || l.list_marker_width_list_small || ':::' || l.list_marker_width_list_big
             || ':::' || l.list_marker_color_grid || ':::' || l.list_marker_color_list || ':::' || l.list_marker_color_list_small || ':::' || l.list_marker_color_list_big as 'n'
            FROM Label l
                INNER JOIN GameLabel gl
                    ON l.id = gl.label_id AND gl.game_id = g.id
            ORDER BY l.name
        )) as 'labels',
       [[PUBLISHER_SELECT]] as 'publishers',
       g.edition,
       g.user_rating,
       replace(substr(g.release_date,0,11), '-',''),
       g.mc_score,
       g.hltb_main_story,
       g.image_url_medium,
       g.created_on,
       g.videos_json,
       g.images_json,
       g.collector_has_digital,

        g.sell_price,
        g.purchased_price,
        g.notes,
        g.collector_has_box,
        g.collector_has_disc_or_card,
        g.collector_has_manual,
        g.collector_has_other,
        g.collector_is_complete_in_box,
        g.collector_is_sealed,
        g.collector_has_digital,
        ( SELECT GROUP_CONCAT(lower(n), ', ') FROM ( SELECT ge.name as 'n' FROM Genre ge INNER JOIN GameGenre gg ON ge.id = gg.genre_id AND gg.game_id = g.id ORDER BY ge.name )) as 'genres',
        ( SELECT COUNT(*) FROM GameMOD gm WHERE gm.game_id = g.id) as 'mod_count',
        ( SELECT COUNT(*) FROM GameDLC gd WHERE gd.game_id = g.id) as 'dlc_count'
 FROM Game g
     %s
 WHERE %s
