 SELECT DISTINCT
    hw.id,
    hw.name,
    hw.description_short,
    hw.image_url_small,
    hw.image_url_thumb,
    hw.image_filename,
    (  SELECT GROUP_CONCAT(n, '###')
       FROM (
            SELECT p.id || ':::' || p.name  as 'n'
                   FROM Platform p
                        INNER JOIN HardwarePlatform hp
                              ON p.id = hp.platform_id AND hp.hardware_id = hw.id
                   ORDER BY p.name
    )) as 'platforms',
    (SELECT GROUP_CONCAT(n, '###')
     FROM (
        SELECT l.id || ':::' || l.name || ' ' || ':::' || l.background_color || ':::' || l.foreground_color || ':::' || l.hide_on_view_grid || ':::' || l.hide_on_view_list || ':::' || l.hide_on_view_list_small
         || ':::' || l.list_marker_enabled_grid || ':::' || l.list_marker_enabled_list || ':::' || l.list_marker_enabled_list_small
         || ':::' || l.list_marker_width_grid || ':::' || l.list_marker_width_list || ':::' || l.list_marker_width_list_small
         || ':::' || l.list_marker_color_grid || ':::' || l.list_marker_color_list || ':::' || l.list_marker_color_list_small as 'n'
        FROM Label l
            INNER JOIN HardwareLabel gl
                ON l.id = gl.label_id AND gl.hardware_id = hw.id
        ORDER BY l.name
    )) as 'labels',
    (SELECT COUNT(hwi.id)
     FROM HardwareItem hwi
     WHERE hwi.hardware_id = hw.id
    ) as 'item_count',
    hw.edition,
    (SELECT b.id || ':::' || b.name
        FROM Brand b
        WHERE b.id = hw.brand_id
    ) as 'Brand',
                                          hw.sell_price

 FROM Hardware hw
     %s

 WHERE %s
