 SELECT DISTINCT
    d.id,
    d.name,
    d.background_color,
    d.foreground_color,
    (SELECT COUNT(gd.id)
     FROM GameLabel gd
       INNER JOIN Game g
            ON g.id = gd.game_id
     WHERE gd.label_id = d.id) as 'game_count',
    (SELECT COUNT(gd.id)
     FROM GameLabel gd
           INNER JOIN Game g
                ON g.id = gd.game_id
     WHERE gd.label_id = d.id AND g.is_wishlist_item = 1) as 'game_count_on_wishlist',
     (SELECT COUNT(hl.id)
      FROM HardwareLabel hl
        INNER JOIN Hardware h
             ON h.id = hl.hardware_id
      WHERE hl.label_id = d.id) as 'hardware_count',
     (SELECT COUNT(hl.id)
      FROM HardwareLabel hl
            INNER JOIN Hardware h
                 ON h.id = hl.hardware_id
      WHERE hl.label_id = d.id AND h.is_wishlist_item = 1) as 'hardware_count_on_wishlist',
      d.hide_on_game,
      d.hide_on_game_wishlist,
      d.hide_on_hardware,
      d.hide_on_hardware_wishlist

 FROM Label d

 WHERE 0 = 0

 ORDER BY
    d.name ASC