 SELECT DISTINCT
    d.id,
    d.name,
    d.description_short,
    d.image_url_small,
    d.image_url_thumb,
    d.image_filename,
    (SELECT COUNT(g.id)
     FROM Game g
     WHERE g.platform_id = d.id) as 'game_count',
    (SELECT COUNT(g.id)
     FROM Game g
     WHERE g.platform_id = d.id AND g.is_wishlist_item = 1) as 'game_count_on_wishlist',
    (SELECT COUNT(hp.id)
         FROM HardwarePlatform hp
           INNER JOIN Hardware h
                ON h.id = hp.hardware_id
         WHERE hp.platform_id = d.id) as 'hardware_count',
    (SELECT COUNT(hp.id)
        FROM HardwarePlatform hp
           INNER JOIN Hardware h
                ON h.id = hp.hardware_id
        WHERE hp.platform_id = d.id AND h.is_wishlist_item = 1) as 'hardware_count_on_wishlist'

    
 FROM Platform d

 WHERE %s

 ORDER BY
    d.name ASC