 SELECT
    g.barcode,
    g.release_date, 
    p.name as 'platform_name',

    p.igdb_id as 'platform_igdb_id',
    p.tgdb_id as 'platform_tgdb_id',
    p.gb_id as 'platform_gb_id',

    g.edition, 
    g.notes,
    g.user_rating, 
    g.description, 
    g.description_short, 
    g.image_url_large, 
    g.image_url_medium,
    g.name,

    g.purchased_date,
    g.completion_date,
    g.is_wishlist_item as 'is_wish',
    g.collector_has_digital as 'is_digital',

    g.id as 'mgc_id',
    g.igdb_id,
    g.tgdb_id,
    g.gb_id,

    g.playtime,
    g.region_id,
    g.notes_pro,
    g.notes_con,
    g.difficulty,
    g.completed_count,
    g.sell_price,
    g.purchased_price,
    g.sell_price_currency,
    g.purchased_price_currency,
    g.collector_has_text as 'c_other',
    g.collector_is_sealed as 'c_sealed',
    g.collector_is_complete_in_box as 'c_cib',
    g.collector_has_manual as 'c_manual',
    g.collector_has_disc_or_card as 'c_disc_card',
    g.collector_has_box as 'c_box',

    g.player_info_lan_coop_non_story_mode_has as 'lan_co_ns',
    g.player_info_lan_coop_non_story_mode_max as 'lan_co_ns_x',
    g.player_info_lan_coop_non_story_mode_min as 'lan_co_ns_n',

    g.player_info_lan_coop_story_mode_has as 'lan_co_s',
    g.player_info_lan_coop_story_mode_max as 'lan_co_s_x',
    g.player_info_lan_coop_story_mode_min as 'lan_co_s_n',

    g.player_info_lan_team_versus_mode_has as 'lan_tv',
    g.player_info_lan_team_versus_mode_max as 'lan_tv_x',
    g.player_info_lan_team_versus_mode_min as 'lan_tv_n',

    g.player_info_lan_versus_mode_has as 'lan_v',
    g.player_info_lan_versus_mode_max as 'lan_v_x',
    g.player_info_lan_versus_mode_min as 'lan_v_n',

    g.player_info_local_alternating as 'loc_alt',
    g.player_info_local_alternating_min as 'loc_alt_x',
    g.player_info_local_alternating_max as 'loc_alt_n',

    g.player_info_local_coop_non_story_mode_has as 'loc_co_ns',
    g.player_info_local_coop_non_story_mode_max as 'loc_co_ns_x',
    g.player_info_local_coop_non_story_mode_min as 'loc_co_ns_n',

    g.player_info_local_coop_story_mode_has as 'loc_co_s',
    g.player_info_local_coop_story_mode_max as 'loc_co_s_x',
    g.player_info_local_coop_story_mode_min as 'loc_co_s_n',

    g.player_info_local_team_versus_mode_has as 'loc_tv',
    g.player_info_local_team_versus_mode_max as 'loc_tv_x',
    g.player_info_local_team_versus_mode_min as 'loc_tv_n',

    g.player_info_local_versus_mode_has as 'loc_v',
    g.player_info_local_versus_mode_max as 'loc_v_x',
    g.player_info_local_versus_mode_min as 'loc_v_n',

    g.player_info_online_coop_non_story_mode_has as 'on_co_ns',
    g.player_info_online_coop_non_story_mode_max as 'on_co_ns_x',
    g.player_info_online_coop_non_story_mode_min as 'on_co_ns_n',

    g.player_info_online_coop_story_mode_has as 'on_co_s',
    g.player_info_online_coop_story_mode_max as 'on_co_s_x',
    g.player_info_online_coop_story_mode_min as 'on_co_s_n',

    g.player_info_online_team_versus_mode_has as 'on_tv',
    g.player_info_online_team_versus_mode_max as 'on_tv_x',
    g.player_info_online_team_versus_mode_min as 'on_tv_n',

    g.player_info_online_versus_mode_has as 'on_v',
    g.player_info_online_versus_mode_max as 'on_v_x',
    g.player_info_online_versus_mode_min as 'on_v_n',

    g.player_info_single_player_has as 'sp',
    g.player_info_single_player_has_non_story as 'sp_ns',

    (SELECT GROUP_CONCAT(n, '###')
        FROM (
            SELECT l.name || ' ' || ':::' || l.background_color || ':::' || l.foreground_color  as 'n'
            FROM Label l
                INNER JOIN GameLabel gl
                    ON l.id = gl.label_id AND gl.game_id = g.id
            WHERE l.hide_on_export_clever_gamer = 0
            ORDER BY l.name
        )) as 'labels',
    (SELECT GROUP_CONCAT(n, '###')
        FROM (
            SELECT d.name as 'n'
            FROM Developer d
                INNER JOIN GameDeveloper gd
                    ON d.id = gd.developer_id AND gd.game_id = g.id
            ORDER BY d.name
        )) as 'developers',
    (SELECT GROUP_CONCAT(n, '###')
        FROM (
            SELECT p.name as 'n'
            FROM Publisher p
                INNER JOIN GamePublisher gp
                    ON p.id = gp.publisher_id AND gp.game_id = g.id
            ORDER BY p.name
        )) as 'publishers',
    (SELECT GROUP_CONCAT(n, '###')
        FROM (
            SELECT ge.name as 'n'
            FROM Genre ge
                INNER JOIN GameGenre gg
                    ON ge.id = gg.genre_id AND gg.game_id = g.id
            ORDER BY ge.name
        )) as 'genres',
    (SELECT GROUP_CONCAT(n, '###')
        FROM (
            SELECT f.name as 'n'
            FROM Franchise f
                INNER JOIN GameFranchise gf
                    ON f.id = gf.franchise_id AND gf.game_id = g.id
            ORDER BY f.name
        )) as 'franchises'

 FROM Game g
    LEFT JOIN Platform p
        ON g.platform_id = p.id
 %s
 ORDER BY g.name
